module DkComposer
  module Dockerfile
    KEYWORDS = %i[from run cmd label maintainer
                  expose env add copy entrypoint
                  volume user arg onbuild workdir
                  stopsignal healthcheck shell].freeze
    def method_missing(method, *params, &block)
      if KEYWORDS.include?(method)
        @actions ||= []
        @actions << [method, *params]
      else
        super
      end
    end
  end
end
